%define major 8
%define libname %mklibname ticonv %{major}
%define develname %mklibname ticonv -d

Name:           libticonv
Version:        1.1.5
Release:        %mkrel 1
Summary:        Texas Instruments calculators charsets library
Group:          System/Libraries
License:        GPLv2+
URL:            https://sourceforge.net/projects/tilp/
Source0:        https://download.sourceforge.net/tilp/%{name}-%{version}.tar.xz
BuildRequires:  glib2-devel

%package -n %{libname}
Group:          System/Libraries
Summary:        Texas Instruments calculators charsets library
Provides:       %{name} = %{version}-%{release}
Obsoletes:		libticonv3
Provides:		libticonv3 = %{version}-%{release}
%package -n %{develname}
Group:          Development/Libraries
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}
Obsoletes:		libticonv-devel
Provides:		libticonv-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description
The ticonv library is a library capable of conversions between
Texas Instruments character sets and UTF-8/UTF-16 character sets.

%description -n %{libname}
The ticonv library is a library capable of conversions between
Texas Instruments character sets and UTF-8/UTF-16 character sets.

%description -n %{develname}
Include files and libraries for linking and developing
applications using libticonv.

%prep
%setup -q

# Fix wrong EOF encodings.
sed -i 's/\r$//' \
        README \
        ChangeLog \
        AUTHORS \
        docs/html/clean.bat \
        docs/html/style.css

#silence autoreconf warning
mkdir -p m4

%build
autoreconf -vfi
%configure2_5x \
	--disable-static \
	--enable-iconv
%make



%install
rm -rf %buildroot
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

%files -n %{libname}
%doc README AUTHORS ChangeLog
%{_libdir}/libticonv.so.*

%files -n %{develname}
%doc docs/html/
%doc docs/charsets/
%{_libdir}/libticonv.so
%{_libdir}/pkgconfig/ticonv.pc
%{_includedir}/tilp2/


%changelog
* Wed Feb 15 2017 adrianomorselli <adrianomorselli> 1.1.5-1uplos2017
- update
- removed old stuff
